﻿class make3Dmenu extends MovieClip {
	private var radius:Number;
	private var radian:Number;
	private var xscale:Number;
	private var friction:Number;
	private var num:Number;
	private var center_x:Number;
	private var center_y:Number;
	private var degree:Number;
	private var mctext:String;
	public function make3Dmenu(menu_num:Number, i:Number) {
		var menu_str:String = "x"+i;
		_root.attachMovie("menu", menu_str, i);
		this = eval(menu_str);
		num = i;
		this.mctext = String(i);
		degree = i*(360/menu_num);
		radius = 200;
		xscale = 100;
		radian = Math.PI/180;
		friction = -0.05;
		center_x = Stage.width/2;
		center_y = Stage.height/2;
		this.onEnterFrame = function():Void {
			var speed:Number = (_root._xmouse-center_x)*friction;
			degree += speed;
			var cos_x:Number = Math.cos(radian*degree);
			var sin_y:Number = Math.sin(radian*degree);
			this._xscale = cos_x*xscale;
			this._x = sin_y*radius+center_x;
			this._y = cos_x*(radius-180)+(center_y+30);
			var rate:Number = (cos_x+1);
			this._alpha = 20+(rate*50);
			var depth:Number = 1+Math.floor((rate)*100);
			this.swapDepths(depth);
			updateAfterEvent();
		};
		this.onPress = function():Void {
			this.obj_txt.textColor = "0xFF0000";
			_root.seltext = "selected menu : "+num;
		};
		this.onRelease = function():Void {
			this.obj_txt.textColor = "0xFFFFFF";
		};
		this.onDragOut = function():Void {
			this.obj_txt.textColor = "0xFFFFFF";
		};
	}
}
